
<template>
  <div class="hello">
    <img
      alt="Bundesarchiv fuer Einheitsbewaeltigung Logo"
      src="../assets/logo.png"
    />
    <h3>
      Bitte wählen Sie einen Akteur, Betrieb oder Ort für Ihren Folgeauftrag
      aus:
    </h3>
    <hr />
    <!--
    {{ $store.state.KeysUnlocked }}
    -->
    <br />
    <ul>
      <div v-for="auftrag in erfassung" :key="auftrag">
        <li
          v-if="
            auftrag['Button_Label'].length > 0 &&
            auftragIsClickable(auftrag.Key)
          "
          style="display: flex; justify-content: space-between; margin: 10px"
          :class="{
            activeListItem: auftragIsClickable(auftrag.Key),
            inactiveListItem: !auftragIsClickable(auftrag.Key),
          }"
        >
          <span v-html="auftrag['Button_Label']"></span>
          <button
            v-if="auftragIsClickable(auftrag.Key)"
            @click="handleFolgeauftrag($event, auftrag)"
          >
            ALS FOLGEAUFTRAG AUSWÄHLEN
          </button>
          <button v-else disabled>NICHT AUSWÄHLBAR</button>
        </li>
      </div>
    </ul>
  </div>
  <br />
  <hr />
  <div>
    <button @click="$router.push('/SlideEins')">
      WEITERE ZEITBONS SCANNEN
    </button>
  </div>
</template>

<script>
import { ref } from "@vue/runtime-core";
import { useRouter } from "vue-router";
import { useStore } from "vuex";
import erfassung from "@/assets/erfassung.json";

//import { useSound } from '@vueuse/sound'
//import buttonSfx from '@/assets/danke.mp3'

export default {
  name: "SlideVier",
  props: {},
  setup() {
    const router = useRouter();
    const store = useStore();
    const barcode = ref(null);

    //const { play } = useSound(buttonSfx)

    const auftragIsClickable = (auftragsKey) => {
      //console.log(auftragsKey); 
      if (store.state.KeysUnlocked.find((e) => e === auftragsKey)) {
        return true
      } else {
        return false
      }
    }

    const handleFolgeauftrag = async (e,auftrag) => {
      let filetoprint = auftrag.Print;
      console.log("Folgeauftrag:", auftrag.Key, auftrag.Print,e);

      document.getElementById("sound").play();
      //play();
      // send HTTP GET REQUEST TO PRINTER with filename in it
      fetch("http://localhost:8081/print/" + filetoprint).catch((e) => {
        console.error("Error printing " + filetoprint);
        //alert("Error printing " + filetoprint);
        console.error(e);
      });
      router.push("/Done");
    }

    return { erfassung, barcode, auftragIsClickable, handleFolgeauftrag };
  },
};
</script>
